Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Retrieve one UCC complaint by Plivo reference_id (PUCC-YYYY-…).
reference_id
PUCC-YYYY-…
Python
from kupe import Kupe client = Kupe() org_id = client.me().org_id complaint = client.phones.ucc_retrieve(org_id, "PUCC-...") print(complaint.status, complaint.deadline_at)
import { Kupe } from "kupe-sdk"; const kupe = new Kupe(); const orgId = (await kupe.me()).org_id!; const complaint = await kupe.phones.ucc.retrieve("PUCC-...", { org_id: orgId }); console.log(complaint.status, complaint.deadline_at);
curl https://x.kupe.in/v1/orgs/org_.../plivo/ucc/PUCC-... \ -H "Authorization: Bearer sk-kupe-YOUR_KEY"
{ "id": "<string>", "org_id": "<string>", "reference_id": "<string>", "status": "pending", "from_number": "<string>", "to_number": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "initiation_date": "<string>", "complaint_category": "<string>", "call_uuid": "<string>", "opt_in_proof_url": "<string>", "rejection_reason": "<string>", "deadline_at": "2023-11-07T05:31:56Z", "telephony_account_id": "<string>", "last_callback_status": "<string>", "last_callback_at": "2023-11-07T05:31:56Z" }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>" } ] }
Project API key (sk-kupe-...) or a Supabase user JWT.
sk-kupe-...
Successful Response
pending
in_review
accepted
rejected